package com.ama.core.architecture.message

import androidx.annotation.StringRes
import kotlinx.coroutines.flow.Flow


interface MessageController {
    val messages: Flow<Message?>

    fun sendMessage(@StringRes message: Int, isShort: Boolean = true)

    fun sendMessage(message: String, isShort: Boolean = true)

    fun clearMessages()

    fun setMessageShown(id: Long)
}